library(shiny)
ui <- navbarPage(
  strong("Current, voltage, resistance"),
  
  tabPanel(
    strong("Experiment 1"),
    titlePanel(h4("Validity of Ohm's law")),
    
    
    tabsetPanel(
      tabPanel(
        strong("Experiment 1A"),
        
        titlePanel(h4("Power supply as a voltage source")),
        br(),
        sidebarPanel(
          "",
          
          sliderInput(
            inputId = "slider",
            label = "Change the voltage:",
            min = 0,
            max = 20,
            value = 0,
            step = 2
          )
        ),
        
        mainPanel(conditionalPanel("input.slider=='0'",
                                   ((
                                     img(
                                       src = "Versuch10V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.slider=='2'",
                                   ((
                                     img(
                                       src = "Versuch12V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.slider=='4'",
                                   ((
                                     img(
                                       src = "Versuch14V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.slider=='6'",
                                   ((
                                     img(
                                       src = "Versuch16V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='8'",
                                   ((
                                     img(
                                       src = "Versuch18V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='10'",
                                   ((
                                     img(
                                       src = "Versuch110V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='12'",
                                   ((
                                     img(
                                       src = "Versuch112V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='14'",
                                   ((
                                     img(
                                       src = "Versuch114V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='16'",
                                   ((
                                     img(
                                       src = "Versuch116V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='18'",
                                   ((
                                     img(
                                       src = "Versuch118V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   )))),
        mainPanel(conditionalPanel("input.slider=='20'",
                                   ((
                                     img(
                                       src = "Versuch120V.jpg",
                                       height = 529,
                                       width = 620
                                     )
                                   ))))
      ),
      
      
      tabPanel(
        strong("Experiment 1B"),
        titlePanel(h4("Power supply as a power source")),
        br(),
        sidebarPanel(
          "",
          sliderInput(
            inputId = "radio",
            label = "Change the strength of the current:",
            min = 0,
            max = 200,
            value = 0,
            step = 20
          )
        ),
        
        mainPanel(conditionalPanel("input.radio=='0'",
                                   ((
                                     img(
                                       src = "1bVersuch0mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='20'",
                                   ((
                                     img(
                                       src = "1bVersuch20mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='40'",
                                   ((
                                     img(
                                       src = "1bVersuch40mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='60'",
                                   ((
                                     img(
                                       src = "1bVersuch60mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='80'",
                                   ((
                                     img(
                                       src = "1bVersuch80mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='100'",
                                   ((
                                     img(
                                       src = "1bVersuch100mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='120'",
                                   ((
                                     img(
                                       src = "1bVersuch120mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='140'",
                                   ((
                                     img(
                                       src = "1bVersuch140mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='160'",
                                   ((
                                     img(
                                       src = "1bVersuch160mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='180'",
                                   ((
                                     img(
                                       src = "1bVersuch180mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        mainPanel(conditionalPanel("input.radio=='200'",
                                   ((
                                     img(
                                       src = "1bVersuch200mA.jpg",
                                       height = 491,
                                       width = 636
                                     )
                                   )))),
        
        
      )
    )
  ),
  
  tabPanel(
    strong("Experiment 2"),
    titlePanel(h4("Kirchhoff's rules")),
    sidebarPanel(
      radioButtons(
        "zozo",
        "Kirchhoff's rules:",
        choices = c(
          "Kirchhoff’s mesh rule",
          "Kirchhoff’s node rule for current measurement",
          "Kirchhoff’s node rule for voltage measurement"
          
        ),
        
        selected = "Kirchhoff’s mesh rule"
      )
    ),
    mainPanel(
      conditionalPanel("input.zozo=='Kirchhoff’s mesh rule'",
                       ((
                         img(
                           src = "Versuch2Maschenregel.jpg",
                           height = 592,
                           width = 788
                         )
                       )))
    ),
    
    mainPanel(
      conditionalPanel("input.zozo=='Kirchhoff’s node rule for current measurement'",
                       ((
                         img(
                           src = "Versuch2KnotenregelStrom.jpg",
                           height = 515,
                           width = 850
                         )
                       )))
    ),
    
    mainPanel(
      conditionalPanel(
        "input.zozo=='Kirchhoff’s rule of nodes for voltage measurement'",
        ((
          img(
            src = "Versuch2KnotenregelSpannung.jpg",
            height = 505,
            width = 808
          )
        ))
      )
    )
    
    
  ),
  
  
  tabPanel(
    strong("Experiment 3"),
    titlePanel(h4("Resistance of a test person")),
    sidebarPanel(
      radioButtons(
        "wolo",
        "Experiments:",
        choices = c(
          "Metal grips held with loose hands",
          "Metal grips held tightly with dry hands",
          "Metal grips held tightly with wet hands"
        ),
        selected = "Metal grips held with loose hands"
      )
    ),
    
    mainPanel(conditionalPanel("input.wolo=='Metal grips held with loose hands'",
                               ((
                                 img(
                                   src = "Versuch3locker.jpg",
                                   height = 449,
                                   width = 812
                                 )
                               )))),
    
    mainPanel(conditionalPanel(
      "input.wolo=='Metal grips held tightly with dry hands'",
      ((
        img(
          src = "Versuch3fest.jpg",
          height = 449,
          width = 812
        )
      ))
    )),
    
    mainPanel(conditionalPanel("input.wolo=='Metal grips held tightly with wet hands'",
                               ((
                                 img(
                                   src = "Versuch3festnass.jpg",
                                   height = 450,
                                   width = 812
                                 )
                               ))))
    
  ),
  
  
  tabPanel(
    strong("Experiment 4"),
    titlePanel(h4("Temperature-dependent resistor")),
    br(),
    mainPanel(
      tags$video(
        src = "Versuch4NTC.mp4",
        width = "750px",
        height = "520px",
        type = "video/mp4",
        controls = "controls"
      )
    )
  )
  
)



server <- function(input, output, session) {
  
}

shinyApp(ui = ui, server = server)